Package org.apache.cxf.annotations

# Enum Class Provider.Scope

java.lang.Object
java.lang.Enum<Provider.Scope>
org.apache.cxf.annotations.Provider.Scope

All Implemented Interfaces:
  `Serializable`, `Comparable<Provider.Scope>`, `Constable`

Enclosing class:
  Provider

public static enum Provider.Scope extends Enum<Provider.Scope>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `All`
  `Client`
  `Server`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Provider.Scope`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Provider.Scope[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### Server

    public static final Provider.Scope Server

  - ### Client

    public static final Provider.Scope Client

  - ### All

    public static final Provider.Scope All

- ## Method Details

  - ### values

    public static Provider.Scope[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Provider.Scope valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null